Bug 245309

Summary: [META] Deprecate/Expire Django 1.11 and switch to Django 2.2
Product: Ports & Packages Reporter: Kai Knoblich <kai>
Component: Individual Port(s)Assignee: freebsd-python (Nobody) <python>
Status: Closed FIXED    
Severity: Affects Only Me CC: jhixson, python, ultima
Priority: --- Flags: ultima: maintainer-feedback? (jhixson)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://wiki.freebsd.org/Ports/Django/Django22Migration
See Also: https://reviews.freebsd.org/D24850
https://reviews.freebsd.org/D25495
https://reviews.freebsd.org/D28513
Bug Depends on: 245234, 245235, 245261, 245310, 245311, 245312, 245313, 245325, 245357, 245358, 245359, 245361, 245365, 245432, 245434, 245470, 245522, 245523, 245547, 245643, 245644, 245648, 245659, 245720, 245843, 245849, 245850, 245851, 245873, 245900, 245901, 245902, 245905, 246082, 246083, 246086, 246171, 246172, 246176, 246177, 246422, 246424, 246715, 246716, 246757, 247114, 247115, 247116, 247173, 247206, 247585, 247587, 247590, 247591    
Bug Blocks:    

Description Kai Knoblich freebsd_committer 2020-04-03 07:33:26 UTC
This is meta-bug to track the progress of the deprecation of www/py-django111 which has reached now its End-of-Life.

We need to switch consumers that depend on www/py-django111 to www/py-django22 which is the current LTS (= Long Term Support) release during the next weeks/months.
Comment 1 commit-hook freebsd_committer 2020-04-03 07:51:47 UTC
A commit references this bug:

Author: kai
Date: Fri Apr  3 07:44:43 UTC 2020
New revision: 530470
URL: https://svnweb.freebsd.org/changeset/ports/530470

Log:
  www/py-django111: Mark as DEPRECATED

  Django 1.11 has reached its End-of-Life so mark it as DEPRECATED.  Don't set
  an EXPIRATION_DATE yet as various consumers need to be switched to
  Django 2.2 beforehand, which will happen in the next weeks/months.

  When everything is complete there should be no py-dj22-* ports left and the
  Ports tree has a few Python 2.7 packages less because Django 2.2 only
  supports Python 3.5 or later.

  Adjust the description of Django 1.11 of the www/py-django meta-port
  accordingly.  Also fix a small typo in the Django 2.2 description while I'm
  here.

  PR:		245309
  Reviewed by:	koobs, wen (via private e-mail)
  Differential Revision:	https://reviews.freebsd.org/D24221

Changes:
  head/www/py-django/Makefile
  head/www/py-django111/Makefile
Comment 2 commit-hook freebsd_committer 2020-04-06 07:49:47 UTC
A commit references this bug:

Author: kai
Date: Mon Apr  6 07:49:21 UTC 2020
New revision: 530865
URL: https://svnweb.freebsd.org/changeset/ports/530865

Log:
  www/py-django-tables2: Assign to Django 2.2

  * Because Django 1.11 is End-of-Life since April 2020 thus switch over to
    Django 2.2 which is the current LTS release.

  * Set the minimum required Python version for Django 2.2 accordingly and
    bump PORTREVISION for changed dependencies.

  * Mark the repo-copied port www/py-dj22-django-tables2 as DEPRECATED because
    it's obsolete now.  Don't set an expiration date yet as it's still used by
    net-mgmt/netbox and a few more Django 1.11 ports need to be assigned to
    Django 2.2 first.

  * Also update the CONFLICTS_INSTALL entries as the repo-copied port
    py-dj21-django-tables no longer exists in the Ports tree.

  PR:		245309

Changes:
  head/www/py-dj22-django-tables2/Makefile
  head/www/py-django-tables2/Makefile
Comment 3 commit-hook freebsd_committer 2020-04-06 07:52:49 UTC
A commit references this bug:

Author: kai
Date: Mon Apr  6 07:52:06 UTC 2020
New revision: 530866
URL: https://svnweb.freebsd.org/changeset/ports/530866

Log:
  www/py-django-timezone-field: Update to 4.0

  * Also assign it to Django 2.2 (current LTS release) as Django 1.11 is
    End-of-Life since April 2020.

  * Set the repo-copied port www/py-dj22-django-timezone-field as DEPRECATED
    because it's obsolete now.  Don't set an expiration date yet as it's still
    used by net-mgmt/netbox and a few more Django 1.11 ports need to be
    assigned to Django 2.2 first.

  * Also update the CONFLICTS_INSTALL entries as the repo-copied port
    py-dj21-django-timezone-field no longer exists in the Ports tree.

  Changelog:

  * Add support for Django 3.0 and Python 3.8
  * Drop support for Django 1.11, 2.0, 2.1 and Python 2.7, 3.4

  PR:		245309

Changes:
  head/www/py-dj22-django-timezone-field/Makefile
  head/www/py-django-timezone-field/Makefile
  head/www/py-django-timezone-field/distinfo
Comment 4 commit-hook freebsd_committer 2020-05-10 09:01:07 UTC
A commit references this bug:

Author: kai
Date: Sun May 10 09:00:29 UTC 2020
New revision: 534835
URL: https://svnweb.freebsd.org/changeset/ports/534835

Log:
  www/py-django-taggit: Change RUN_DEPENDS

  * Switch to Django 2.2 (current LTS release) because Django 1.11 is
    End-of-Life since April 2020.

  * Bump PORTREVISION due changed dependencies.

  * Also remove the repo-copied Django 2.1 port from CONFLICTS_INSTALL as it
    no longer exists in the Ports tree.

  PR:		245309

Changes:
  head/www/py-django-taggit/Makefile
Comment 5 commit-hook freebsd_committer 2020-05-14 12:48:55 UTC
A commit references this bug:

Author: kai
Date: Thu May 14 12:48:09 UTC 2020
New revision: 535230
URL: https://svnweb.freebsd.org/changeset/ports/535230

Log:
  www/py-django-{common-helpers,cron}: Change RUN_DEPENDS

  * Switch both ports to Django 2.2 (current LTS release) because Django 1.11
    is End-of-Life.

  * Bump PORTREVISION due changed dependencies.

  PR:		245309

Changes:
  head/www/py-django-common-helpers/Makefile
  head/www/py-django-cron/Makefile
Comment 6 commit-hook freebsd_committer 2020-05-25 10:01:01 UTC
A commit references this bug:

Author: kai
Date: Mon May 25 10:00:47 UTC 2020
New revision: 536453
URL: https://svnweb.freebsd.org/changeset/ports/536453

Log:
  www/py-django-sudo: Change RUN_DEPENDS

  * Assign the port to Django 2.2 (current LTS release) because Django 1.11 is
    End-of-Life since April.

  * Bump PORTREVISION due changed dependencies.

  PR:		245309

Changes:
  head/www/py-django-sudo/Makefile
Comment 7 commit-hook freebsd_committer 2020-05-25 10:04:03 UTC
A commit references this bug:

Author: kai
Date: Mon May 25 10:03:11 UTC 2020
New revision: 536454
URL: https://svnweb.freebsd.org/changeset/ports/536454

Log:
  www/py-django-templatetag-sugar: Change RUN_DEPENDS

  * Switch the port to Django 2.2 (current LTS release) because Django 1.11 is
    End-of-Life since April.

  * Make USES block separate from non-related variables.

  * Bump PORTREVISION due changed dependencies.

  PR:		245309

Changes:
  head/www/py-django-templatetag-sugar/Makefile
Comment 8 commit-hook freebsd_committer 2020-05-25 10:14:05 UTC
A commit references this bug:

Author: kai
Date: Mon May 25 10:13:07 UTC 2020
New revision: 536455
URL: https://svnweb.freebsd.org/changeset/ports/536455

Log:
  www/py-django-recaptcha: Update to 2.0.6

  * Also switch to Django 2.2 (current LTS release) because Django 1.11 is
    End-of-Life.

  * Use GitHub for a while as PyPI provides no sdist for the latest release.

  Changelog:

  https://github.com/praekelt/django-recaptcha/blob/2.0.6/CHANGELOG.rst

  PR:		245309

Changes:
  head/www/py-django-recaptcha/Makefile
  head/www/py-django-recaptcha/distinfo
Comment 9 commit-hook freebsd_committer 2020-05-29 15:46:00 UTC
A commit references this bug:

Author: kai
Date: Fri May 29 15:45:20 UTC 2020
New revision: 536980
URL: https://svnweb.freebsd.org/changeset/ports/536980

Log:
  www/py-djangorestframework: Update to 3.11.0

  * Switch the port to Django 2.2 (current LTS release) as well because
    Django 1.11 is End-of-Life since April.  Do the same for www/py-drf-yasg.

  * Repo-copy www/py-djangorestframework to www/py-djangorestframework311
    which will be used as a transitional package by www/seahub until it gets
    support for Django 2.2+ in the next weeks/months.

  * Drop the Python 2.7 support of the remaining consumers to avoid breakage
    of "bulk -a".

  * Mark both repo-copied ports www/py-dj22-{djangorestframework,drf-yasg} as
    deprecated because they're obsolete now.

  PR:		245309
  Reviewed by:	sunpoet (earlier revision), ultima
  Differential Revision:	https://reviews.freebsd.org/D24850

Changes:
  head/devel/py-graphene-django/Makefile
  head/www/Makefile
  head/www/py-dj22-djangorestframework/Makefile
  head/www/py-dj22-drf-yasg/Makefile
  head/www/py-django-rest-swagger/Makefile
  head/www/py-djangorestframework/Makefile
  head/www/py-djangorestframework/distinfo
  head/www/py-djangorestframework311/
  head/www/py-djangorestframework311/Makefile
  head/www/py-djangorestframework311/distinfo
  head/www/py-drf-yasg/Makefile
  head/www/seahub/Makefile
Comment 10 commit-hook freebsd_committer 2020-06-29 05:21:23 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 29 05:21:04 UTC 2020
New revision: 540748
URL: https://svnweb.freebsd.org/changeset/ports/540748

Log:
  www/py-django: Set DJANGO22 option as default

  * Switch to Django 2.2 (current LTS release) because Django 1.11 is
    End-of-Life.

  * Introduce a DJANGO30 option to make use of the Django 3.0 port and set the
    Python version accordingly for each option.

  * Keep the DJANGO111 option for now as long as Django 1.11 is still present
    in the Ports tree.

    Django 1.11 is still required for www/py-django-mezzanine, www/seahub and
    their dependencies.  There's is work in progress by upstream to make these
    ports compatible for Django 2.2+ .

  PR:		245309
  Submitted by:	wen (via private e-mail, based on)
  Reviewed by:	sunpoet
  Differential Revision:	https://reviews.freebsd.org/D25495

Changes:
  head/www/py-django/Makefile
Comment 11 Kai Knoblich freebsd_committer 2021-01-04 09:57:55 UTC
The following ports are still depending on Django 1.11:

www/seahub
- www/py-django-constance
- www/py-django-jsonfield
- www/py-django-picklefield
- www/py-django-post_office
- www/py-django-ranged-response
- www/py-django-simple-captcha
- www/py-django-statici18n
- www/py-django-webpack-loader
- www/py-djangorestframework311

Status: Should be resolved once www/seahub gets updated to the 8.x release series.

www/py-django-mezzanine
- www/py-django-contrib-comments

Status: There's an alpha release for www/py-django-mezzanine with support for Django 2.2+ but it's not ready for production use, yet.
Comment 12 Richard Gallamore freebsd_committer 2021-02-09 17:16:07 UTC
Created diff for the following to upgrade to Django 2.2:

www/seahub
- www/py-django-constance
- www/py-django-jsonfield
- www/py-django-picklefield
- www/py-django-post_office
- www/py-django-ranged-response
- www/py-django-simple-captcha
- www/py-django-statici18n
- www/py-django-webpack-loader


The following will be deleted as they are no longer required.
www/py-djangorestframework311

https://reviews.freebsd.org/D28513
Comment 13 commit-hook freebsd_committer 2021-02-26 06:22:49 UTC
A commit references this bug:

Author: ultima
Date: Fri Feb 26 06:22:02 UTC 2021
New revision: 566581
URL: https://svnweb.freebsd.org/changeset/ports/566581

Log:
  Update ports to Django22

  django-post_office jsonfield depend has been renamed
  upstream, the old django-jsonfield port does not support
  django past 1.11.

  PR:		245309
  Approved by:	sunpoet, kai, jhixson (timeout)
  Differential Revision:	https://reviews.freebsd.org/D28513

Changes:
  head/www/py-django-constance/Makefile
  head/www/py-django-picklefield/Makefile
  head/www/py-django-post_office/Makefile
  head/www/py-django-ranged-response/Makefile
  head/www/py-django-simple-captcha/Makefile
  head/www/py-django-statici18n/Makefile
  head/www/py-django-webpack-loader/Makefile
  head/www/seahub/Makefile
Comment 14 Richard Gallamore freebsd_committer 2021-02-26 06:35:42 UTC
www/py-djangorestframework311 has been deleted, r566582.
Comment 15 commit-hook freebsd_committer 2021-04-23 10:06:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a9f91734c73c73507dd6c7635cea55f01638b555

commit a9f91734c73c73507dd6c7635cea55f01638b555
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-23 09:59:05 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-23 10:05:17 +0000

    www/py-django-mezzanine: Delete port

    * The current version of Mezzanine only works with Django 1.11, which
      has expired since April 2020.

      There is currently no newer, production-ready release, which supports
      Django 2.2 and onward.

    PR:             245309
    Approved by:    koobs (maintainer)

 MOVED                                              |  1 +
 www/Makefile                                       |  1 -
 www/py-django-mezzanine/Makefile (gone)            | 45 ----------------------
 www/py-django-mezzanine/distinfo (gone)            |  3 --
 .../files/pkg-message.in (gone)                    | 27 -------------
 www/py-django-mezzanine/pkg-descr (gone)           |  6 ---
 6 files changed, 1 insertion(+), 82 deletions(-)
Comment 16 commit-hook freebsd_committer 2021-04-23 16:35:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4e3403272116287b656d5081065f0841290b93fe

commit 4e3403272116287b656d5081065f0841290b93fe
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-23 16:16:44 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-23 16:31:03 +0000

    www/py-django-contrib-comments: Update to 2.1.0

    Changelog:

    https://github.com/django/django-contrib-comments/blob/2.1.0/HISTORY.rst

    PR:             245309
    Approved by:    koobs (maintainer)

 www/py-django-contrib-comments/Makefile | 4 ++--
 www/py-django-contrib-comments/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 17 commit-hook freebsd_committer 2021-04-23 16:35:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=819cf6efa3bfcad19124ecaff710053c63914a2c

commit 819cf6efa3bfcad19124ecaff710053c63914a2c
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-23 16:27:15 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-23 16:31:03 +0000

    www/py-django111: Set to expire

    * The port was already marked as DEPRECATED a year ago and all of its
      consumers have now been switched to Django 2.2 or newer versions.

    PR:             245309
    Approved by:    kai (python, maintainer)

 www/py-django111/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 18 Kai Knoblich freebsd_committer 2021-04-23 17:44:09 UTC
All consumers have been switched to Django 2.2 (or newer versions), so this project is finished.

Thanks to everyone involved!